package es.kauron.jstudy.model;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

public class AppConfig {
    private static final String FILE = "./config.ini";
    public static boolean repeatWrong, showFeedback;
    public static File lastDir;

    public static void save() {
        try {
            PrintWriter pw = new PrintWriter(new File(FILE));
            pw.println("repeatWrong=" + repeatWrong);
            pw.println("showFeedback=" + showFeedback);
            pw.flush();
            pw.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    public static void load() {
        File file = new File(FILE);
        if (!file.exists()) {
            repeatWrong = true;
            showFeedback = true;
        } else
            try {
                Scanner in = new Scanner(new File(FILE));
                while (in.hasNextLine()) {
                    String line = in.nextLine();
                    String value = line.substring(line.indexOf('=') + 1);
                    if (line.matches("repeatWrong=.*"))
                        repeatWrong = Boolean.parseBoolean(value);
                    else if (line.matches("showFeedback=.*"))
                        showFeedback = Boolean.parseBoolean(value);
                }
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
    }

    public static String printValues() {
        return String.format("repeatWrong=%b\nshowFeedback=%b", repeatWrong, showFeedback);
    }
}
